Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [software-installation]

Installing software on a running system, either as binaries or from source.

0
votes
2answers
56 views

Where can I get “libavformat-ffmpeg56” from?

It is a dependency for OpenBoard, could someone tell me where to get it please since it is not something that Ubuntu can obtain by itself (I think it's an old version).
0
votes
1answer
61 views

Why won't this program install?

Here is the output of my installation attempt: calvin@Calvins-PC:~/Downloads$ sudo dpkg -i openboard_ubuntu_16.04_1.4.1_amd64.deb Selecting previously unselected package openboard. (Reading ...
0
votes
0answers
43 views

Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root? [duplicate]

Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?
1
vote
1answer
162 views

When trying to install CrossOver deb I get “Error: Dependency is not satisfiable libpng12-0”

I have tried to install libpng12-0 but it still doesn't work. Here: How do I fix this?
-1
votes
0answers
112 views

How to install the The Binding of Isaac Afterbirth plus?

Does anyone know how to install it, without downloading directly from Steam? I don't know how to install vcredist2015 to run TBOI. I tried using PlayOnLinux but it didn't work. Someone help please.
52
votes
2answers
11k views

How to make sure I'm not using any proprietary software after installation? [duplicate]

I know I can check the currently installed non-free software with the following command (assuming aptitude is FOSS): aptitude search '?installed (?section(restricted) | ?section(multiverse))' And I ...
0
votes
1answer
90 views

Ubuntu 18.04: How to install Ruby1.9.1(ruby1.9.1-full, rubygems1.9.1, ruby1.9.1-dev)?

I have followed below steps to install Ruby1.9.1 on ubuntu 18.04 but it is showing latest ubuntu version after installation: Steps: sudo apt-get install ruby1.9.1-full sudo apt-get install rubygems1....
0
votes
1answer
63 views

ubuntu 16.04 PXE installation

Can I install Ubuntu OS 16.04 using PXEboot without upgrading the packages and kernel? When I am installing new OS the kernel is getting upgraded to latest version. I need to install the server with ...
-1
votes
1answer
65 views

Game installation through terminal

I am a little bit new to ubuntu, how do I install any kind of game to my PC through a command line? I have tried but it gives me an error message.
-1
votes
1answer
62 views

How to install conda package manager only?

How to install only conda and its dependencies? Since I already have Python I don't want to install anaconda or miniconda. What I need is only and only conda package manager and its dependencies.
0
votes
0answers
45 views

guile-libgraph.c:25:10: fatal error: libguile.h: No such file or directory #include <libguile.h> [duplicate]

buditriyono@buditriyono-VirtualBox:~/Downloads/libgraph-1.0.2$ ./configure checking build system type... x86_64-unknown-linux-gnu checking host system type... x86_64-unknown-linux-gnu checking target ...
0
votes
1answer
125 views

How to get Steam to properly install [duplicate]

I am very new to ubuntu and Linux and kind of scraping by as I've only been a PC gamer since December of last year. I used steam on my little garbage Lenovo using Windows 10, but after getting my I5 ...
0
votes
0answers
44 views

Unable to install any programs [duplicate]

I just installed Ubuntu, trying to add Audacity and GNU. But I keep getting this error message: Unable to install "GNU Image Manipulation Program": E: dpkg was interrupted, you must manually run '...
1
vote
1answer
89 views

Facing problems installing Qt on ubuntu 16.04

I am following this link to install Qt on my PC. When I type sudo apt-get install build-essential g++ libqt4-core libqt4-dev libqt4-gui qt4-doc qt4-designer, I get this error: Reading package lists.....
0
votes
2answers
118 views

I can't install Steam properly!

Here's my specs and stuff: https://pastebin.com/w3SCkLAN. I have tried multiple ways to download Steam. First is using the .deb, it required the 32-bit libraries I can't, and don't know how to, ...
1
vote
1answer
123 views

error installing pycurl on ubuntu 18.04

i have error when installing pycurl, sorry for a messy first post: $ pip -v install pycurl Downloading from URL https://files.pythonhosted.org/packages/e8/e4/...
0
votes
0answers
79 views

OpenVPN installation failure in Ubuntu 18.04

I am trying to install OpenVPN 2.4.6 on Ubuntu 18.04. After extracting the archive with tar xvf I am running ./configure. At this point, the process fails with the message: "configure: error: openssl ...
0
votes
0answers
115 views

how to remove MQTT mosquitto broker in linux

iam unable to remove and uninstall mosquitto broker.so please insturct me the commands for "how to remove MQTT mosquitto broker in linux ubuntu" ?
2
votes
1answer
57 views

How to get package list from one PC and install that on another PC? [duplicate]

I want to install to PC2 all the packages, that were installed by apt install on PC1. That is for Debian, but i think that since Debian and Ubuntu share same package system - the solution would be ...
0
votes
1answer
92 views

Mongdb uninstall (and install) failures: Already uninstalled or something broken?

I tried to install MongoDB, but something went wrong with the installation and I want to install it again. Unfortunately, I get errors when attempting to remove/pruge, and I suspect those errors might ...
0
votes
1answer
200 views

Not possible to install anything on Ubuntu 18.04 LTS [duplicate]

It's not possible to install anything on my Ubuntu 18.04 LTS. When I run sudo apt-get upgrade I get: Reading package lists... Done Building dependency tree Reading state information... Done ...
0
votes
1answer
172 views

Package krb5-kdc is not available [duplicate]

Ubuntu Server 18.04 Tried: ~$ sudo apt-get update Hit:1 http://archive.ubuntu.com/ubuntu bionic InRelease Get:2 http://archive.ubuntu.com/ubuntu bionic-security InRelease [83.2 kB] Get:3 http://...
0
votes
0answers
44 views

cant open atom using atom in CLI

I had Atom Editor in my machine and was using it using the atom command. But yesterday I installed Learn IDE which is a fork of atom with many changes and now whenever I use atom command it opens ...
0
votes
0answers
30 views

Unrecognized command line option with gfortran in BRAMS installation

I'm a new Ubuntu user. I'm trying to install BRAMS 5.3 with the instructions of the following link, but using the sudo make command for the BRAMS installation displays the following message: make[1]: ...
-1
votes
0answers
36 views

problem in installing openfoam-2.0.0 on ubuntu18.04

I am new in Ubuntu. I want to install the OpenFOAM-2.0.0 from source pack on Ubuntu 18.04 but i am failed in it. I do it according to below link: https://openfoam.org/download/2-0-0-source/. There ...
1
vote
1answer
208 views

Ubuntu 18.10 chrome youtube problem

I have installed Ubuntu 18.10 a few days ago and encountered strange error while playing youtube videos in Chrome. When I try to open a video, the screen just says: "An error occurred. Please try ...
0
votes
0answers
64 views

Already installed OpenCV but where is the folder?

I am trying to run this code which requires opencv installed. https://github.com/yuxng/MDP_Tracking/blob/master/compile.m One line of the code is below include = ' -I/usr/local/include/opencv/ -I/...
0
votes
2answers
345 views

E: Sub-process /usr/bin/dpkg returned an error code (1) with libgimp3.0

I'm getting the above error when I try and update my system. I have tried to sudo dpkg --configure -a as well as sudo apt install -f gimp, sudo apt remove gimp and sudo apt purge gimp. I even tried ...
1
vote
1answer
173 views

ClamAV ./configure “configure: error: Your OpenSSL installation is misconfigured or missing”

When trying to install ClamAv, after entering ./configure, it prints a bunch of stuff to the terminal before printing the error message "configure: error: Your OpenSSL installation is misconfigured or ...
0
votes
0answers
13 views

Installing OpenCV in OS vs in conda environment

I am in the process of trying to get this code to run on Matlab on Ubuntu https://github.com/yuxng/MDP_Tracking. I am currently installing Matlab. It says to run compile.m and that I would need to ...
0
votes
0answers
20 views

How to check what big files are in /home and how to install somewhere else? [duplicate]

i am trying to install matlab and its trying to install in /home because i get a warning saying /home is left with 1 gb. How do I check what folders are in home and how can I install matlab in /dev/...
1
vote
0answers
15 views

How do I install Komodo Edit on Ubuntu Xenial & Beaver? [duplicate]

I am interested in installing the latest open source release of Komodo Edit to assist me with programming on either of my Ubuntu distributions. I viewed the official site (by ActiveState) and found a ...
0
votes
1answer
60 views

I installed OpenBoard but there's no way to open it

I installed OpenBoard from the software center, it installed, but it's not in my menu so I can't run it. What can I do about this?
0
votes
0answers
44 views

Is it possible to Install glibc 2.21 on Ubuntu 14.4

Recently Matlab 2018b installed in my computer which has Ubuntu 14.4. The problem is when I run Matlab Simulink, Matlab crashed. I asked Matlab Technical support and the advised me to install glibc 2....
0
votes
1answer
61 views

Can't run WPS Office in Kubuntu 18.04

I could install with an error message "unknown media /ALL". It could not run WPS Office.
0
votes
0answers
26 views

Can I add other programs in to the iso? [duplicate]

I'm new to this whole linux thing and wanted to ask: Can I add extra programs in to the iso file? If so how?
0
votes
1answer
336 views

error libgtk-3.so.0 not installed even though it's in /usr/lib/x86_64-linux-gnu

I'm trying to install a CAN emulator software with GTK and I keep getting an error. CANMate: error while loading shared libraries: libgtk-3.so.0: cannot open shared object file: No such file or ...
0
votes
1answer
239 views

Error while installing ROS Indigo in Ubuntu 14.04

I get an error while installing the 4th step of ROS Indigo in Ubuntu 14.04. sudo apt-get install ros-indigo-desktop-full Error: Errors were encountered while processing: /var/cache/apt/...
0
votes
0answers
165 views

How can I install drivers for Realtek-RTL8192EU-chipset-0bda:f179 without internet access? [duplicate]

I am unable to install wifi drivers. I need a solution which does not require an internet connection. I am able to detect the wifi adapter on my system Ubuntu 18.04.1 LTS Realtek-RTL8192EU-chipset-...
4
votes
2answers
2k views

Unable to run Sublime Text 3 on Ubuntu 18.10

I've just installed a fresh copy of Ubuntu 18.10 on my system. I updated the OS via sudo apt-get update and sudo apt-get upgrade commands. After that I installed Google Chrome. These are the only ...
0
votes
0answers
23 views

Cant run (or delete new programs)

I installed Ubuntu 18.4 on my new device a few days ago and everything went fine. The first thing I installed was VScode (using Ubuntu software). The app installed and I was even able to find it in ...
0
votes
0answers
32 views

Ubuntu update did not install properly upon restart - crash

I installed some programs from Software Updater on November 5th and turned off my computer. When I turned my computer on, November 6th, I saw a small window with black background saying that a recent ...
1
vote
2answers
72 views

apt bower and ember install concerns

I'm a new Ubuntu 18.04 user. I was trying to download bower and ember, however when I typed bower or ember into the terminal Ubuntu suggested that I type sudo apt install bower or sudo apt install ...
0
votes
0answers
110 views

How to install epiphany-extensions

I installed Gnome Web, formerly known as Epiphany Browser using sudo apt install epiphany-browser I found the extensions in https://launchpad.net/epiphany-extensions It says epiphany-extensions ...
1
vote
0answers
49 views

Why couldn't I install Skype before running `sudo apt update`? [duplicate]

I tried to install Skype on my PC, but it did not get installed. My friend ran the sudo apt update command. After the command had run he installed Skype. Then the installation ran easily. So my ...
0
votes
0answers
51 views

Help installing R and R-studio on Ubuntu 18.04 [duplicate]

So I've seen a lot of similar questions to this and I have tried everything in the answers and nothing has worked. I'm new to using terminals and Linux. I just reinstalled Ubuntu on my machine and ...
0
votes
1answer
43 views

Can't boot after installing Ubuntu 18.0

I have installed Ubuntu at my office premises and I am facing issues Many computers do not proceed to Desktop screen after ubuntu loads and display goes off after 4-5 minutes. Also, I am not able to ...
0
votes
1answer
30 views

Installing JasperSoft takes forever

I extracted TIB_js-jrs-cp_7.1.0_linux_x86_64.run which I downloaded from the JasperSoft site and executed it. The installer started and completed successfully almost all the steps, but at the end of ...
-1
votes
0answers
22 views

Install nexus on my Ubuntu like [duplicate]

sudo add-apt-repository "deb http://archive.canonical.com/ lucid partner" sudo add-apt-repository "deb http://build.discursive.com/apt/ lucid main" sudo apt-get update The above steps were working ...
0
votes
1answer
175 views

How do i install LinSSID in Ubuntu 18.04?

I can't install LinSSID on Ubuntu 18.04. It looks like it has been installed, but it doesn't launch.